Bug 31696 - Mozilla crashes when deleting multiple mail messages
Summary: Mozilla crashes when deleting multiple mail messages
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-13 16:44 UTC by Markku Kolkka
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-13 16:44:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Markku Kolkka 2001-03-13 16:44:26 UTC
This doesn't happen every time, but maybe once out of five times: When I 
mark several messages in a local mailbox and click the Delete icon, the 
program crashes after deleting the messages. Here are the last messages 
from a Mozilla session ended with a crash:

folder = treeitem
mailbox://nobody@Local%20Folders/Guinness-list
In ChangeFolderByURI uri = mailbox://nobody@Local%20Folders/Guinness-list
In OnFolderLoaded for mailbox://nobody@Local%20Folders/Guinness-list
In reroot folder
in showthreads
In SortColumn
mailbox_message://nobody@Local%20Folders/Guinness-list#1046493


OpenURL from XUL


stopping meteors 1
Document: Done (0.713secs)
stopping meteors
mailbox_message://nobody@Local%20Folders/Guinness-list#1049738


OpenURL from XUL


stopping meteors 1
Document: Done (0.479secs)
stopping meteors
mailbox_message://nobody@Local%20Folders/Guinness-list#1052983


OpenURL from XUL


stopping meteors 1
Document: Done (0.539secs)
stopping meteors
tree is valid
In OnFolderLoaded for mailbox://nobody@Local%20Folders/Trash
stopping meteors 1
Document: Done (0.04secs)
stopping meteors
stopping meteors 1
Document: Done (0.084secs)
stopping meteors
mailbox_message://nobody@Local%20Folders/Guinness-list#1042515


OpenURL from XUL
 
 
stopping meteors 1
Document: Done (0.14secs)
stopping meteors
stopping meteors 1
Document: Done (0.341secs)
stopping meteors
need to reset thread root key
need to reset thread root key
stopping meteors 1
Document: Done (0.441secs)
stopping meteors
mailCharsetLoadListener: ISO-8859-1
Segmentation fault

Comment 1 Christopher Blizzard 2001-06-09 21:51:29 UTC
Fixed in 0.9.1 which should be in rawhide shortly.


Note You need to log in before you can comment on or make changes to this bug.